C API Functions

## udbLibraryCheckEntity

### Description

Return true if the specified entity is in the specified list of libraries.

Currently only applies to Understand for Ada databases and only the "standard" Ada library is supported. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     int udbLibraryCheckEntity(UdbEntity entity,
                              UdbLibrary  *liblist)

### Arguments

Argument | description
UdbEntity entity | The specified entity
UdbLibrary *liblist | The specified library list

### Return Values

Return Value | description
int | Returns true if the specified entity is in the specified list of libraries; false otherwise.

### Example Usage

     udbLibraryList ("~standard", &libraries, &size);
    if (udbLibraryCheckEntity (entity, libraries)) {...}
    udbLibraryListFree(libraries);

### See Also

udbLibraryList to get a filtered list of libraries.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com